unit rstring;

{<
  rstring unit contains all resource strings.

  @author(Rosinsky Software - <http://www.rosinsky.cz/delphi>)
  @created(Apr 2006)
  @lastmod(Oct 2023)
  
  Fordtotta: Laurinyecz Pl. http://laurinyecz.hu
  2014.10.10.
}

interface

resourcestring

  // ***************************************************
  // COMMON STRING

  // Actions
  { }
  sInitialize = 'Inicializls';
  sBrowsing = 'Vlaszts';
  sEditing = 'Szerkeszts';
  sInserting = 'Beilleszts';
  sLoading = 'Betlts';
  sCreating = 'Ltrehozs';
  sPrinting = 'Nyomtats';
  sExporting = 'Exportls';
  sLookingFor = 'Keress...';
  sWaiting = 'Vrakozs';
  sChecking = 'Ellenrzs';
  sImporting = 'Importls';
  sOfData = ' adata...';

  // Questions
  { }
  sContinueQ = 'Folytassuk?';
  sTerminateQ = 'Befejezzk?';
  sCancelQ = 'Mgsem?';
  sDeleteQ = 'Trls?';
  sOverwriteQ = 'Fellrjuk?';
  sTryAgainQ = 'jra prblja?';
  sSetDefaultValues = 'Viszzalltjuk az alapvet tulajdonsgokat?';
  sSaveChangesQ = 'Menti a vltoztatsokat?';
  sUseChangesQ = 'Hasznljuk a vltoztatsokat?';
  sUseFilterQ = 'Hasznlja a kivlasztott szrt?';

  // File and dir
  { }
  sFile = 'Fjle "%s".';
  sFileNotFound = 'Fjlt "%s" nem talltam.';
  sDirNotFound = 'Knyvtrat "%s" nem talltam.';
  sFileExist = 'Fjl "%s" mr ltezik.';
  sDirExist = 'Knyvtr "%s" mr ltezik.';
  sFileSaved = 'Fjl "%s" elmentve.';
  sFileOpenQ = 'Megnyitja a fjlt "%s"?';
  sOpenOtherFileQ = 'Megnyit msik fjlt?';
  sOpenLastFileQ = 'Megnyitja az eredeti fjlt?';

  // File error
  { }
  sMakeDirErr = 'A clknyvtrat nem lehet ltrehozni "%s".';
  sFilePrintErr = 'Nem lehet nyomtatni a fjlt "%s".';
  sFileOpenErr = 'Nem lehet megnyitni a fjlt "%s".';
  sFileOpenErr2 = 'Nincs ilyen fjl (valsznleg).';
  sFileSaveErr = 'Hiba a fjl mentsekor "%s".';
  sFileSaveErr2 = 'Nincs hozzfrsi joga a knyvtrhoz' + ' nem ltezik, vagy mr nyitva van msik program ltal.';
  sDLLNotFound = 'Dinamikus knyvtr "%s" nem tallhat, vagy srlt.';

  // File types
  { }
  sFileTypeAll = 'Minden fjl (*.*)|*.*';
  sFileTypeTXT = 'Text fjl (*.txt)|*.txt';
  sFileTypeSLK = 'Symbolic link fjl (*.slk)|*.slk';
  sFileTypeRTF = 'Rich text formtum (*.rtf)|*.rtf';
  sFileTypeDOC = 'MSWord documentum (*.doc)|*.doc';
  sFileTypeDOCX = 'MSWord documentum (*.docx)|*.docx';
  sFileTypeODT = 'Open documen formtum (*.odt)|*.odt';
  sFileTypeXLS = 'Excel fjl (*.xls*)|*.xls*';
  sFileTypeMDB = 'MS Access adatbzis (*.mdb)|*.mdb';
  sFileTypeACCDB = 'Database MS Access (*.accdb)|*.accdb';
  sFileTypeSQL = 'SQL parancs (*.sql)|*.sql';
  sFileTypeDBF = 'dBase fjl (*.dbf)|*.dbf';
  sFileTypePDF = 'PDF fjl (*.pdf)|*.pdf';
  sFileTypeBMP = 'Kpfjl (*.bmp)|*.bmp';
  sFileTypeJPG = 'Jpeg fjl (*.jpg;*.jpeg)|*.jpg;*.jpeg';
  sFileTypePNG = 'PNG fjl (*.png)|*.png';
  sFileTypeBMPJPG = 'Graphikus formtumok (*.bmp;*.jpg;*.jpeg)|*.bmp;*.jpg;*.jpeg';
  sFileTypeBMPJPGPNG = 'Graphikus formtumok (*.bmp;*.jpg;*.jpeg;*.png)|*.bmp;*.jpg;*.jpeg;*.png';

  // Error descriptions
  { }
  sErrorDescription = 'Hibalers:';
  sRuntimeErr = 'Futsidej hiba.';
  sRaiseErr = 'Vratlan hiba. Indtsd jra a programot.';


  // Format error
  { }
  sInputErr = 'Hiba a bemeneti paramterekben.';
  sFormatNumberErr = 'Rossz szmformtum.';
  sFormatDateErr = 'Roszz dtumformtum.';
  sFormatYearErr = 'Roszz v formtum.';
  sDateIntervalErr = 'Roszz formtum dtumkz.';
  sExpressionErr = 'Hiba a kifejezsben.';
  sPictureErr = 'Rossz kpformtum.';

  // Other
  { }
  sAborted = 'Mvelet megszaktva.';
  sTerminate = 'A program lell.';
  sNotRegist = 'A program nincs regisztrlva.';
  sNotImplement = 'Ez az mvelet nincs mg megvalstva.';
  sNotSupported = 'Eza funkci nem tmogatott.';
  sVersion = 'Verzi';
  sAllOK = 'Minden rendben.';
  sYes = 'Igen';
  sNo = 'Nem';
  sOK = 'Rendben';
  sCancel = 'Mgsem';

  sWrongPsw = 'Rossz jelsz.';
  sMailErr = 'E-mail kldsi hiba.';
  sMailGenInfo = 'E-mail generlsa...';
  sBookmarkNumber = 'Bookmark number';

  // ***************************************************
  // DATABASE STRING

  // DB action
  { }
  sConnecting = 'Csatlakozs az adatbzishoz...';
  sLogging = 'Bejelentkezs az adatbzisho...';
  sInactive = 'Inactv';
  sRecord = 'record';
  sNumRecords = '%d records';
  sSelRecords = '%d records kivlasztva.';

  // DB questions
  { }
  sDelRecordQ = 'Kivlasztott rekordot trli?';
  sDelMultipleRecordQ = 'Az sszes kivlasztott rekordot trli?';

  // DB error
  { }
  sConnectDataErr = 'Hibs csatlakozs a(z) "%s" adatbzishoz.';
  sCreateDataErr = 'Hiba: Nem lehet adatot ltrehozni.';
  sOpenDataErr = 'Hiba: Nem nyithat meg az adat.';
  sReadDataErr = 'Hiba: Nem olvashat az adat.';
  sSaveDataErr = 'Hiba: Nem lehet menteni az adatot.';
  sCompressDataErr = 'Hiba: Nem srthet az adat.';
  sExportDataErr = 'Hiba: Nem exportlhat az adat.';
  sImportDataErr = 'Hiba: Nem importlhat az adat.';
  sDecodeDataErr = 'Az adat nem dekdolhat.';
  sSaveRecordErr = 'Hiba: Nem menthet a rekord.';
  sOpenTableErr = 'Hiba: Nem nyithat meg a(z) "%s" tbla.';
  sEditRecordErr = 'Hiba: Nem szerkeszthet a rekordd.';
  sSortDataErr = 'Hiba: Adatszortrozs.';
  sNoSavedItems = 'nem mentett adatok';
  sInputItemName = 'Mentett adat neve:';

  // Find results
  { }
  sNotFound = 'Nem tallhat';
  sFound = 'Tallat';

  sFilterName = 'Szr neve';
  sFilterString = 'Szrfelttel';

  sEndEditing = 'Rekordszerkeszts vge.';

  // ***************************************************
  // UNIT rdlg

  { }
  sInformation = 'Informci';
  sQuestion = 'Krds';
  sWarning = 'Figyelmeztets';
  sInput = 'Bevitel';
  sError = 'Hiba';
  sBtOk = '&Rendben';
  sBtYes = '&Igen';
  sBtNo = '&Nem';
  sBtCancel = '&Mgsem';
  sCut = 'Kivgs';
  sCopy = 'Msols';
  sPaste = 'Beilleszt';
  sDelete = 'Delete';
  sUndo = 'Undo';
  sSelectAll = 'Select all';
  sSaveToFile = 'Fjlba ments...';
  sLoadFromFile = 'Fjlbl betlts...';
  sFind = 'Tall';
  sFindNext = 'Tallni kvetkez';
  sChangeFont = 'Vlt bettpus';
  sAbort = 'Elvetl';
  sWordWrap = 'Word wrap';

  // ***************************************************
  // UNIT RTFReport

  { }
  sReport = 'Riport';
  sTemplateFormatErr = 'Roszz formtum RTF fjl.';
  sPrinterNotFound = 'A "%s" nyomtat nem tallhat.';

  sTemplateBracketErr = 'Zrjelezsi hiba a "%s". funkciban';
  sTemplateFieldErr = 'Szmtsi hiba az adatbzis mezben "%s".';
  sTemplateDatasetErr = 'Inkorrekt adatbzis "%s", (csak A..Z-ig)';
  sTemplateTagNotFoundErr = '"%s" nem tallhat.';
  sTemplateCalculationErr = 'Szmtsi hiba a funkciban "%s".';
  sTemplateIncorrectTag = 'Inkorrekt rsz "%s".';
  sTemplateInsertTableErr = 'Tag "%s" can be used only inside table with one row.';

  sCreatingReport = 'Riportkszts...';
  sCreatingReportErr = 'Hiba a riport ksztse kzben.';
  sFileGeneration = 'A %s... fjl ltrehozsa' ;
  sPDFWaitAgainQ = 'A kimeneti fjl mg nem lett ltrehozva. Vrakozik mg?';
  sPDFConfiguration = 'PDF nyomtat konfigurlsa...';
  sPDFConfigurationErr = 'Hiba a(z) PDF nyomtat konfigurlsakor.';
  sDeleteOldFileErr = 'A %s kimeneti fjl mr ltezik s nem rhat fell.';

  // OLE
  sMSWordNotFound = 'MSWord applikci nem tallhat.';
  sMSWordError = 'MSWord applikci hiba.';
  sMSExcelNotFound = 'MSExcel applikci nem tallhat.';
  sMSExcelError = 'MSExcel applikci hiba.';
  sMSExcelRunningToClose = 'A ltrehozott MSExcel applikcit le lehet zrni a fjl mdosult. Menti a mdostst?';

  // ***************************************************
  // rDBGrid unit
  { }
  sPMSum = 'ssz = %sum';
  sPMMin = 'Min = %min';
  sPMMax = 'Max = %max';
  sPMAvg = 'tl = %avg';
  sPMCountVal = 'rtkek sszeges = %CountVal';
  sPMCountNull = 'Nulla sszeg = %CountNull';
  sPMCountAll = 'sszesen = %CountAll';
  sPMDistinctValues = 'Distinct values = %DistinctValues';

  sSelectAllRecords = 'Az sszes rekord kivlasztsa';
  sDeselectAllRecords = 'Kivlaszts megszntetse';
  sReverseSelection = 'Kivlaszts megfordtsa';
  sDeleteSelectedRecords = 'Kivlasztott rekordok trlse';
  sNoRecordsSelected = 'Nincs kivlasztott rekord.';
  sSelectedNumRecContinueQ = 'Mr volt kivlasztva %d rekord, folytatja?';

  sCellParamsCondErr='rvnytelen felttel hiba %s. A felttel meg lesz szntetve.';
  sCellParamsCondStart='indtva';
  sCellParamsCondNotStart='nem indult';
  sCellParamsCondContain='tartalmaz';
  sCellParamsCondNotContain='nem tartalmaz';
  sCellParamsCondAllways='mindig';
  sCellParamsActSet='>>>';
  sCellParamsActAND='AND';
  sCellParamsActOR='OR';

  sFilterSelectAll = '(mindet kivlaszt)';
  sFilterNullValue = '(res)';
  sIndicatorColumnName = '- Sor fejlc -';
  sFiltered = 'Filtered';
  sFilterResetHint = 'Ctrl+Left to reset';
  sFilterSetHint = 'Ctrl+Right to filter';
  sFilterClear = 'Clear current filter';
  sFilterTooComplex = 'It generates too complex filter condition. Change filter setting or use text filter instead.';

  // ***************************************************
  // rDBComponent unit
  { }
  sPictureEmpty = '(res)';
  sPictureCorrupted = '(srlt)';
  sSaveInJPEGFormat = 'Ments JPG formtumban';
  sPictureResize = 'Felbonts vltoztats';
  sResizeRatioQ = 'Szksges mret szzalkban (1% - 500%):';
  sZoomAutoFit = 'Nagyts - az ablakhoz';
  sZoomIn = 'Nagyts';
  sZoomOut = 'Kicsinyts';
  sZoom = 'Mretezs';
  sShowPicEdit = 'Szerkeszts msik ablakban (vilgossg, kontraszt)';
  sPicConvert = 'Konvertls...';
  sPicConvertJPG1 = 'aktulis record a JPG-hez';
  sPicConvertBMP1 = 'aktulis record a BMP-hez';
  sPicConvertJPGAll = 'minden record a JPG-hez';
  sPicConvertBMPAll = 'minden record a BMP-hez';
  sPicConvertAllQ = 'Az akci a megvltoztatja az tbla sszes ilyen mezjben a formtumot.';
  sPicConvertProcess = 'Konvertls...';
  sBlobOpen = 'Megnyits';
  sBlobLoad = 'Betlts';
  sBlobSave = 'Ments';
  sBlobClear = 'Trls';
  sBlobRename = 'Fjlnv csere';
  sBlobChangeExtQ = 'Meg akarja vltoztatni a fjl tpust (kiterjeszts)? Ez a vltoztats hatssal lehet a fjl olvashatsgra.';
  sBlobFileOverLimitQ = 'A kivlasztott fjl mrete (%f MB) elrte a belltott mretet (%f MB).';

  sFormatInfo = 'Kivlasztott szveg formtuma';
  sFormatBold = 'Kvr';
  sFormatItalic = 'Dlt';
  sFormatUnderline = 'Alhzott';
  sFormatAsUnnumberedList='Szozatlan lista';
  sFormatAsNumberedList='Szmozott lista';
  sFormatNewPage = 'Beszrs az oldal vgre';
  sFormatNewLine2 = 'Beszrs a sor vgre';
  sFormatNewLineAuto='Beszrs minden sor vgre';
  sFormatHorLine = 'Vzszintes vonal beszrsa';
  sFormatHTMLLink = 'HTML link beszrsa';
  sFormatClear = 'sszes formtum trlse';
  sEditInfo = 'Megjelents ablakban';

  // added Dec2020
  sFont = 'Font';
  sFormatStrikeOut = 'Strike out';
  sFontSmaller = 'Smaller';
  sFontBigger = 'Bigger';
  sFontColor = 'Font color';
  sParagraph = 'Paragraph';
  sIndentDecrease = 'Decrease indent';
  sIndentIncrease = 'Increase indent';
  sTextAlignLeft = 'Align text to left';
  sTextAlignRight = 'Align text to right';
  sTextAlignCenter = 'Align text center';
  sBulletPoints = 'Bullet points . . .';
  sBulletNumbers = 'Bullets 1, 2, 3';
  sBulletLetters = 'Bullets a, b, c';

  sConfirmChanges = 'Confirm changes';
  sCancelChanges = 'Cancel changes';
  // added Dec2020

  // ***************************************************
  // rDBMemoGrid unit
  { }
  mnDelRow = 'Sor trlse';
  mnMoveUpRow = 'Sor felfel mozgatsa';
  mnMoveDownRow = 'Sor lefel mozgatsaMove row down';
  mnCopyCell = 'Cella msolsa';
  mnPasteCell = 'Cella beillesztse';
  mnCopyTable = 'Teljes tnba msolsa';
  mnPasteTable = 'Teljes tbla beillesztse';
  mnAppendTable = 'Teljes tbla hozzadsa';
  mnClearTable = 'Tbla trlse';
  mnSelectRow = 'Sor kivlasztsa';
  mnSelectAll = 'Minden sor kivlasztsa';
  mnSelectCol = 'Oszlop kivlasztsa';
  mnSelectCell = 'Cella kivlasztsa';
  mnDeselectAll = 'Kivlaszts megszntetse';

  // ***************************************************
  // rDBPrint unit
  { }
  sPrintToomuchCols = 'Tl szles a nyomtatshoz, cskkentsd a kivlasztott oszlopok szmt, vagy vlassz kisebb betmretet.';
  sPrintRecCount='Rekordok szma: %d';
  sPrintPreviewLimit = 'Preview is limited to 60 pages.';

  // ***************************************************
  // rDBBatchUpdate unit
  { }
  sBatchUpdatedRecNum = 'Number of edited records: %d';

  // ***************************************************
  // rpictool unit
  { }
  sColorBlack = 'Fekete';
  sColorBlackLoc = 'v';
  sColorMaroon = 'Gesztenyebarna';
  sColorMaroonLoc = 'v';
  sColorGreen = 'Zld';
  sColorGreenLoc = 'Zld';
  sColorOlive = 'Oliva';
  sColorOliveLoc = 'Oliva';
  sColorNavy = 'Tengerszkk';
  sColorNavyLoc = 'Tengerszkk';
  sColorPurple = 'Lila';
  sColorPurpleLoc = 'Lila';
  sColorTeal = 'Kkeszld';
  sColorTealLoc = 'Kkeszld';
  sColorGray = 'Szrke';
  sColorGrayLoc = 'Szrke';
  sColorSilver = 'Ezst';
  sColorSilverLoc = 'Ezst';
  sColorRed = 'Vrs';
  sColorRedLoc = 'Vrs';
  sColorLime = 'Citrom';
  sColorLimeLoc = 'Citrom';
  sColorYellow = 'Srga';
  sColorYellowLoc = 'Srga';
  sColorBlue = 'Kk';
  sColorBlueLoc = 'Kk';
  sColorFuchsia = 'Sttlila';
  sColorFuchsiaLoc = 'Sttlila';
  sColorAqua = 'Vz';
  sColorAquaLoc = 'Vz';
  sColorWhite = 'Fehr';
  sColorWhiteLoc = 'Fehr';

  sColorMoneyGreen = 'Bankzld';
  sColorMoneyGreenLoc = 'Bankzld';
  sColorSkyBlue = 'gkk';
  sColorSkyBlueLoc = 'gkk';
  sColorCream = 'Krm';
  sColorCreamLoc = 'Krm';
  sColorMedGray = 'Kzpszrke';
  sColorMedGrayLoc = 'Kzpszrke';

  sColorCustom = 'Vlszthat...';
  sColorCustomLoc = 'Vlszthat...';

implementation

end.
